Package ghidra.app.util.bin.format.dwarf.attribs

# Enum Class DWARFAttributeClass

java.lang.Object
java.lang.Enum<DWARFAttributeClass>
ghidra.app.util.bin.format.dwarf.attribs.DWARFAttributeClass

All Implemented Interfaces:
  `Serializable`, `Comparable<DWARFAttributeClass>`, `Constable`

public enum DWARFAttributeClass extends Enum<DWARFAttributeClass>
Categories that a DWARF attribute value may belong to.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `address`
  `addrptr`
  `block`
  `constant`
  `exprloc`
  `flag`
  `lineptr`
  `loclist`
  `loclistsptr`
  `macptr`
  `reference`
  `rnglist`
  `rnglistsptr`
  `string`
  `stroffsetsptr`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DWARFAttributeClass`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DWARFAttributeClass[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### address

    public static final DWARFAttributeClass address

  - ### addrptr

    public static final DWARFAttributeClass addrptr

  - ### block

    public static final DWARFAttributeClass block

  - ### constant

    public static final DWARFAttributeClass constant

  - ### exprloc

    public static final DWARFAttributeClass exprloc

  - ### flag

    public static final DWARFAttributeClass flag

  - ### lineptr

    public static final DWARFAttributeClass lineptr

  - ### loclist

    public static final DWARFAttributeClass loclist

  - ### loclistsptr

    public static final DWARFAttributeClass loclistsptr

  - ### macptr

    public static final DWARFAttributeClass macptr

  - ### reference

    public static final DWARFAttributeClass reference

  - ### rnglist

    public static final DWARFAttributeClass rnglist

  - ### rnglistsptr

    public static final DWARFAttributeClass rnglistsptr

  - ### string

    public static final DWARFAttributeClass string

  - ### stroffsetsptr

    public static final DWARFAttributeClass stroffsetsptr

- ## Method Details

  - ### values

    public static DWARFAttributeClass[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DWARFAttributeClass valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null